package com.YuyeTech.HeartRate.game.TP_WxInfo.service;

import com.YuyeTech.HeartRate.common.service.CommonService;
import com.YuyeTech.HeartRate.game.TP_WxInfo.projo.WxInfo;
import com.YuyeTech.HeartRate.game.TP_WxInfo.vo.WxInfoVo;

/**
 * @author:slambb
 * @date:2019/12/13
 */
public interface WxInfoService extends CommonService<WxInfoVo, WxInfo, String> {

    WxInfo findWxInfoByOpenid(String openid);

    WxInfo findWxInfoByUnionid(String unionid);

    WxInfo addWxInfo(WxInfo wxInfo);

    WxInfo findWxInfoById(String userId);
}
